Processing plugin crashes during startup - QGIS 3.0.3 
Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 10 Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27023

Description

The QGIS Processing 'plugin' crashes during startup. When I attempt to enable 'Processing' from the plugin menu, this error occurs:

An error has occurred while executing Python code:

NameError: name 'processing' is not defined 

Traceback (most recent call last):

  File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\script\ScriptAlgorithmProvider.py", line 109, in loadAlgorithms

    alg = ScriptUtils.loadAlgorithm(moduleName, filePath)

  File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\script\ScriptUtils.py", line 68, in loadAlgorithm

    spec.loader.exec_module(module)

  File "", line 678, in exec_module

  File "", line 205, in _call_with_frames_removed

  File "C:\Users\ngavish\AppData\Roaming\QGIS\QGIS3\profiles\default\processing\scripts\distanceAlongLine.py", line 12, in 

    layer1 = processing.getObject(Points)

NameError: name 'processing' is not defined

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

QGIS version: 3.0.3-Girona Girona, 8a899c8758

Python Path:

C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python

C:/Users/ngavish/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/ngavish/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins

C:\Program Files\QGIS 3.0\bin\python36.zip

C:\PROGRA~1\QGIS3~1.0\apps\Python36\DLLs

C:\PROGRA~1\QGIS3~1.0\apps\Python36\lib

C:\Program Files\QGIS 3.0\bin

C:\PROGRA~1\QGIS3~1.0\apps\Python36

C:\PROGRA~1\QGIS3~1.0\apps\Python36\lib\site-packages

C:\PROGRA~1\QGIS3~1.0\apps\Python36\lib\site-packages\win32

C:\PROGRA~1\QGIS3~1.0\apps\Python36\lib\site-packages\win32\lib

C:\PROGRA~1\QGIS3~1.0\apps\Python36\lib\site-packages\Pythonwin

C:/Users/ngavish/AppData/Roaming/QGIS/QGIS3\profiles\default/python

History

#1 - 2018-06-14 10:00 PM - Nimrod Gavish

- Status changed from Open to Closed
